from django.urls import path
from . import views

from .views import api_lista_eventos, api_detalle_evento
from .views import api_lista_reservas, api_detalle_reserva
from .views import api_lista_listaespera, api_detalle_listaespera
from .views import api_lista_noticias, api_detalle_noticia
from .views import enviar_correo_inscritos

app_name = 'eventos'

urlpatterns = [
    path('eventos/', views.lista_eventos, name='lista_eventos'),
    path('eventos/<int:evento_id>/', views.detalle_evento, name='detalle_evento'),
    path('eventos/apuntar_lista_espera/<int:evento_id>/', views.apuntar_lista_espera, name='apuntar_lista_espera'),
    path('eventos/ayuda/', views.ayuda, name='ayuda'),
    path('eventos/crear/', views.crear_evento, name='crear_evento'),  # URL para crear un evento
    path('eventos/editar/', views.editar_evento, name='editar_evento'),  # URL para crear un evento
    path('eventos/<int:evento_id>/enviar-correo/', enviar_correo_inscritos, name='enviar_correo_inscritos'),

    path('noticias/<int:noticia_id>/', views.detalle_noticia, name='detalle_noticia'),

    path('publicar/<int:evento_id>/', views.publicar_evento, name='publicar_evento'),

    path('reservar/<int:evento_id>/',
         views.reservar_evento, name='reservar_evento'),

    path("reservar/<int:reserva_id>/eliminar/", views.cancelar_reserva_admin, name="cancelar_reserva_admin"),

    path('api/eventos/', api_lista_eventos, name='api_lista_eventos'),
    path('api/eventos/<int:evento_id>/', api_detalle_evento, name='api_detalle_evento'),

    path('api/reservas/', api_lista_reservas, name='api_lista_reservas'),
    path('api/reservas/<int:reserva_id>/', api_detalle_reserva, name='api_detalle_reserva'),

    path('api/listaespera/', api_lista_listaespera, name='api_lista_listaespera'),
    path('api/listaespera/<int:listaespera_id>/', api_detalle_listaespera, name='api_detalle_listaespera'),

    path('api/noticias/', api_lista_noticias, name='api_lista_noticias'),
    path('api/noticias/<int:noticia_id>/', api_detalle_noticia, name='api_detalle_noticia'),

    path("estadisticas/usuarios/", views.estadisticas_por_usuario, name="estadisticas_por_usuario"),
    path("estadisticas/usuarios/<int:usuario_id>/", views.eventos_por_usuario, name="eventos_por_usuario"),


]
